#ifndef tag_h
#define tag_h

#define U 3
#define U0 0
#define U1 1
#define U2 2
#define U3 3
#define B 4
#define EM 8
#define I 16
#define S 32
#define TT 64

typedef enum {
    Tag_U = 1, Tag_B, Tag_EM, Tag_I, Tag_S, Tag_TT, Tag_0, Tag_1,
    Tag_2, Tag_3, Tag_4, Tag_5, Tag_6, Tag_7, Tag_8, Tag_9,
    Tag_r, Tag_g, Tag_b, Tag_w, Tag_c, Tag_m, Tag_y, Tag_k,
    Tag_PL, Tag_Count
} TagTypes;

extern TagTypes TagType_for_color(char color);

extern const char *tag_open[];
extern const char *tag_close[];
extern const int tag_cost[];

#endif
